Bug 969138 - pciutils needs aarch64 support in multilibconfigh
pciutils needs aarch64 support in multilibconfigh
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pciutils (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 14:13 EDT by Mark Salter
Modified: 2013-06-07 23:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: pciutils-3.2.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 23:37:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2013-05-30 14:13:25 EDT
Description of problem:
pciutils doesn't handle aarch64 in multilibconfigh
Following patch needed:

diff --git a/multilibconfigh b/multilibconfigh
index 8bce823..a258b14 100644
--- a/multilibconfigh
+++ b/multilibconfigh
@@ -1,4 +1,4 @@
-#if defined(__x86_64__) || defined(__ia64__) || defined(__ppc64__) || defined(__powerpc64__) || defined(__s390x__)
+#if defined(__x86_64__) || defined(__ia64__) || defined(__ppc64__) || defined(__powerpc64__) || defined(__s390x__) || defined(__aarch64__)
 #include "config.lib64.h"
 #elif defined(__sparc__) && defined (__arch64__)
 #include "config.lib64.h"


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2013-05-31 09:59:35 EDT
pciutils-3.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pciutils-3.2.0-2.fc19
Comment 2 Fedora Update System 2013-05-31 14:10:45 EDT
Package pciutils-3.2.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pciutils-3.2.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9743/pciutils-3.2.0-2.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-06-07 23:37:40 EDT
pciutils-3.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.